import Fetcher, { ScrapedPage } from './src/fetcher/fetcher';
import { Provider } from './src/provider/provider';
interface Attributes {
    [name: string]: any;
}
declare class Scraper {
    defaultAttributes: any;
    private url;
    private contract;
    private attributes;
    constructor(url: string, contract: any, attributes?: Attributes);
    scrapePage(): Promise<any[]>;
    getScrapedItems(page: ScrapedPage, attributes: any): any[];
    getAttributes(): {
        [name: string]: any;
    };
    urlIsValid(): boolean;
    contractIsValid(): boolean;
    getFetcher(): Fetcher;
    getProvider(page: ScrapedPage, attributes: any): Provider;
}
export default Scraper;
