"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Digit {
    constructor(digit) {
        this.inputValue = null;
        this.inputValue = digit;
    }
    get value() {
        return this.normalize(this.inputValue);
    }
    normalize(digit) {
        if (digit === undefined || digit === null) {
            return null;
        }
        const strippedString = digit.toString().replace(/\s+/g, '');
        const getValue = /\d+/gm;
        const parsedString = strippedString.match(getValue);
        if (parsedString === null || parsedString.length === 0) {
            return null;
        }
        return parseInt(parsedString[0], 10);
    }
}
exports.default = Digit;
