"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path = __importStar(require("path"));
class Link {
    constructor(link, root) {
        this.inputValue = null;
        this.inputValue = [link, root];
    }
    get value() {
        const [link, root] = this.inputValue;
        return this.normalize([link, root]);
    }
    normalize([link, root]) {
        if (link === undefined || link === null || link.trim().length === 0) {
            return null;
        }
        const url = new URL(root);
        if (!link.startsWith('http') && !link.startsWith('www')) {
            return `${url.protocol}//${path.join(url.host, link)}`;
        }
        return link.trim();
    }
}
exports.default = Link;
