/// <reference types="cheerio" />
import { Provider } from './provider';
export default class HTMLProvider implements Provider {
    private page;
    private contract;
    private attributes;
    private $;
    constructor(page: any, contract: any, attributes: any);
    getItemOrParentElement(item: CheerioElement, selector: string): Cheerio;
    getElementValue(element: Cheerio, attribute: string, raw: boolean): string;
    getElementDataAttributeKeyValue(element: Cheerio, { name, key }: {
        name: any;
        key: any;
    }): string | null;
    mapElementToProperty(item: CheerioElement, options: any): any;
    getScrapedItems(): any[];
}
