"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Text {
    constructor(inputValue) {
        this.inputValue = inputValue;
    }
    get value() {
        return this.normalize(this.inputValue);
    }
    normalize(value) {
        if (value === undefined || value === null || value.trim().length === 0) {
            return null;
        }
        return value.trim();
    }
}
exports.default = Text;
